The wl_callback interface

Clients can handle the 'done' event to get notified when the related request is done. More...

## Data Structures

struct | wl_callback_listener

## Macros

#define | WL_CALLBACK_DONE_SINCE_VERSION 1

## Functions

static int | wl_callback_add_listener (struct wl_callback *wl_callback, const struct wl_callback_listener *listener, void *data)
static void | wl_callback_set_user_data (struct wl_callback *wl_callback, void *user_data)
static void * | wl_callback_get_user_data (struct wl_callback *wl_callback)
static void | wl_callback_destroy (struct wl_callback *wl_callback)

## Detailed Description

Clients can handle the 'done' event to get notified when the related request is done.

## Macro Definition Documentation

## WL_CALLBACK_DONE_SINCE_VERSION

#define WL_CALLBACK_DONE_SINCE_VERSION 1

Definition at line 1115 of file wayland-client-protocol.h.

## Function Documentation

## wl_callback_add_listener()

static int wl_callback_add_listener | ( | struct wl_callback * | wl_callback,
|  | const struct wl_callback_listener * | listener,
|  | void * | data
| ) |  |

inline static

Definition at line 1105 of file wayland-client-protocol.h.

{
return wl_proxy_add_listener((struct wl_proxy *) wl_callback,
(void (**)(void)) listener, data);
}

## wl_callback_destroy()

static void wl_callback_destroy | ( | struct wl_callback * | wl_callback | ) |

inline static

Definition at line 1140 of file wayland-client-protocol.h.

{
wl_proxy_destroy((struct wl_proxy *) wl_callback);
}

## wl_callback_get_user_data()

static void* wl_callback_get_user_data | ( | struct wl_callback * | wl_callback | ) |

inline static

Definition at line 1127 of file wayland-client-protocol.h.

{
return wl_proxy_get_user_data((struct wl_proxy *) wl_callback);
}

## wl_callback_set_user_data()

static void wl_callback_set_user_data | ( | struct wl_callback * | wl_callback,
|  | void * | user_data
| ) |  |

inline static

Definition at line 1120 of file wayland-client-protocol.h.

{
wl_proxy_set_user_data((struct wl_proxy *) wl_callback, user_data);
}
data
GLint GLenum GLsizei GLsizei GLsizei GLint GLsizei const GLvoid * data
Definition: SDL_opengl.h:1974